org.apache.synapse.transport.passthru.config

## Class PassThroughConfiguration

- java.lang.Object
- - org.apache.synapse.transport.passthru.config.PassThroughConfiguration

-     public class PassThroughConfiguration
      extends Object

  This class encapsulates pass-through http transport tuning configurations specified via a configurations file or system properties.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `getBooleanProperty(String name)` Get a Boolean property that tunes pass-through http transport.
    `Boolean` | `getBooleanProperty(String name, Boolean def)` Get a boolean property that tunes pass-through http transport.
    `int` | `getConnectionIdleTime()`
    `String` | `getCorrelationHeaderName()`
    `static PassThroughConfiguration` | `getInstance()`
    `Integer` | `getIntProperty(String name)` Get an int property that tunes pass-through http transport.
    `Integer` | `getIntProperty(String name, Integer def)` Get an int property that tunes pass-through http transport.
    `int` | `getIOBufferSize()`
    `int` | `getIOThreadsPerReactor()`
    `int` | `getListenerShutdownWaitTime()`
    `int` | `getMaxActiveConnections()`
    `int` | `getMaximumConnectionLifespan()`
    `String` | `getPassThroughDefaultServiceName()` Get the default synapse service name
    `String` | `getPreserveHttpHeaders()`
    `String` | `getRESTDispatchService()`
    `String` | `getRestUriApiRegex()`
    `String` | `getRestUriProxyRegex()`
    `String` | `getStringProperty(String name, String def)` Get a String property that tunes pass-through http transport.
    `int` | `getWorkerPoolCoreSize()`
    `int` | `getWorkerPoolMaxSize()`
    `int` | `getWorkerPoolQueueLen()`
    `int` | `getWorkerThreadKeepaliveSec()`
    `boolean` | `isForcedJSONMessageValidationEnabled()`
    `boolean` | `isForcedXmlMessageValidationEnabled()`
    `boolean` | `isKeepAliveDisabled()`
    `boolean` | `isListeningIOReactorShared()`
    `boolean` | `isPreserveServerHeader()`
    `boolean` | `isPreserveUserAgentHeader()`
    `boolean` | `isReverseProxyMode()` Check for reverse proxy mode

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static PassThroughConfiguration getInstance()

    - #### getWorkerPoolCoreSize

          public int getWorkerPoolCoreSize()

    - #### getWorkerPoolMaxSize

          public int getWorkerPoolMaxSize()

    - #### getWorkerThreadKeepaliveSec

          public int getWorkerThreadKeepaliveSec()

    - #### getWorkerPoolQueueLen

          public int getWorkerPoolQueueLen()

    - #### getIOThreadsPerReactor

          public int getIOThreadsPerReactor()

    - #### getIOBufferSize

          public int getIOBufferSize()

    - #### isKeepAliveDisabled

          public boolean isKeepAliveDisabled()

    - #### getMaxActiveConnections

          public int getMaxActiveConnections()

    - #### getListenerShutdownWaitTime

          public int getListenerShutdownWaitTime()

    - #### isPreserveUserAgentHeader

          public boolean isPreserveUserAgentHeader()

    - #### isPreserveServerHeader

          public boolean isPreserveServerHeader()

    - #### isForcedXmlMessageValidationEnabled

          public boolean isForcedXmlMessageValidationEnabled()

    - #### isForcedJSONMessageValidationEnabled

          public boolean isForcedJSONMessageValidationEnabled()

    - #### getPreserveHttpHeaders

          public String getPreserveHttpHeaders()

    - #### getConnectionIdleTime

          public int getConnectionIdleTime()

    - #### getMaximumConnectionLifespan

          public int getMaximumConnectionLifespan()

    - #### getCorrelationHeaderName

          public String getCorrelationHeaderName()

    - #### getIntProperty

          public Integer getIntProperty(String name,
                                        Integer def)

      Get an int property that tunes pass-through http transport. Prefer system properties
      Parameters:
        `name` - name of the system/config property
        `def` - default value to return if the property is not set
      Returns:
        the value of the property to be used

    - #### getIntProperty

          public Integer getIntProperty(String name)

      Get an int property that tunes pass-through http transport. Prefer system properties
      Parameters:
        `name` - name of the system/config property
      Returns:
        the value of the property, null if the property is not found

    - #### getBooleanProperty

          public Boolean getBooleanProperty(String name,
                                            Boolean def)

      Get a boolean property that tunes pass-through http transport. Prefer system properties
      Parameters:
        `name` - name of the system/config property
        `def` - default value to return if the property is not set
      Returns:
        the value of the property to be used

    - #### getBooleanProperty

          public Boolean getBooleanProperty(String name)

      Get a Boolean property that tunes pass-through http transport. Prefer system properties
      Parameters:
        `name` - name of the system/config property
      Returns:
        the value of the property, null if the property is not found

    - #### getStringProperty

          public String getStringProperty(String name,
                                          String def)

      Get a String property that tunes pass-through http transport. Prefer system properties
      Parameters:
        `name` - name of the system/config property
        `def` - default value to return if the property is not set
      Returns:
        the value of the property to be used

    - #### getRESTDispatchService

          public String getRESTDispatchService()

    - #### getRestUriApiRegex

          public String getRestUriApiRegex()

    - #### getRestUriProxyRegex

          public String getRestUriProxyRegex()

    - #### isListeningIOReactorShared

          public boolean isListeningIOReactorShared()

    - #### isReverseProxyMode

          public boolean isReverseProxyMode()

      Check for reverse proxy mode
      Returns:
        whether reverse proxy mode is enabled

    - #### getPassThroughDefaultServiceName

          public String getPassThroughDefaultServiceName()

      Get the default synapse service name
      Returns:
        default synapse service name

Copyright © 2005–2023 Apache Software Foundation. All rights reserved.